<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" xmlns:dt="http://www.thymeleaf.org/dandelion/datatables">
<head lang="en">
<meta charset="UTF-8" />
<title data-th-text="#{medicalfields.overview}">Übersicht medizinische Fachgebiete</title>
<link rel="stylesheet" href="/styles.css" data-th-href="@{/styles.css}" />
</head>
<body>
	<header>
		<p data-th-replace="fragments/nav::nav" />
	</header>

	<main>
	<form method="post" data-th-action="@{/coredata/medicalfields/filter}" data-th-object="${medicalFieldFilter}">
		<fieldset>
			<legend data-th-text="#{medicalfields.filter}">Medizinische Fachgebiete filtern</legend>
			<th:block data-th-replace="fragments/filter::text(field='name', prefix='medicalfields.')" />
			<th:block data-th-replace="fragments/filter::singleSelect(field='parent', options=${allMedicalFields}, prefix='medicalfields.')" />
			<th:block data-th-replace="fragments/filter::allowArchived" />
		</fieldset>
		<p data-th-replace="fragments/snippets::filterButton" />
	</form>


	<table class="datatable">
		<caption data-th-text="#{medicalfields.overview}">Übersicht Medizinische Fachgebiete</caption>
		<thead>
			<tr>
				<th />
				<th />
				<th data-th-text="#{medicalfields.name}">Name</th>
				<th data-th-text="#{medicalfields.description}">Beschreibung</th>
				<th data-th-text="#{medicalfields.parent}">Übergeordnetes Fachgebiet</th>
			</tr>
		</thead>
		<tbody>
			<tr data-th-each="medicalField : ${medicalFields}">
				<td><a data-th-replace="fragments/snippets::edit('/coredata/medicalfields', ${medicalField.id})"></a></td>
				<td><a data-th-replace="fragments/snippets::archive('/coredata/medicalfields', ${medicalField.id})"></a></td>
				<td data-th-text="${medicalField.name}">Name</td>
				<td data-th-text="${medicalField.description}">Beschreibung</td>
				<td data-th-if="${medicalField.parent != null}" data-th-text="${medicalField.parent.name}">Übergeordnetes Fachgebiet</td>
				<td data-th-unless="${medicalField.parent != null}"></td>
			</tr>
		</tbody>
		<tfoot>
			<tr>
				<td colspan="5"><a data-th-href="@{/coredata/medicalfields/create}" data-th-text="#{medicalfields.create}">create</a></td>
			</tr>
		</tfoot>
	</table>
	</main>
	<footer></footer>
</body>
</html>